<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmGetOpMsg Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmGetOpMsg Enumeration

Visual Basic
C#
C++/CLI
Log error messages; used in calls to IEdmGetOpCallback::LogMessage.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmGetOpMsg
       Inherits System.Enum

C# |
--- | ---

    public enum EdmGetOpMsg : System.Enum

C++/CLI |
--- | ---

    public enum class EdmGetOpMsg : public System.Enum

# Members

Member | Description
--- | ---
Egom_ErrorRunningPostAddins | 3 = An error occurred running add-ins that implement hooks on EdmCmd_PostGet or EdmCmd_PostLock commands
Egom_LockNotificationsError | 1 = Error sending check-out notifications
Egom_Undefined | 0 = Undefined message
Egom_UndoLockAfterErrorFailed | 2 = The attempt to unlock a file after its check-out failed has failed

# See Also

####

EPDM.Interop.epdm Namespace